////////////////////////////////////////////////////////////////////////////////
//	IMViewer.h:	The class that produces formatted output of an *.IM file
//
//	This class creates a formatted display of the contents of the input *IM or
//	*.PM file.
//
//	NOTE: This is assumed to be an open-source project, so individual method
//	notes appear before each method in the CPP file rather than here in the
//	.h file.
//
//	Copyright , Jack Emmerichs, 2001.
//
////////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_IMVIEWER_H_INCLUDED_)
#define AFX_IMVIEWER_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "BaseViewer.h"

class CIMViewer : public CBaseViewer  
{
public:

			CIMViewer	();
	virtual ~CIMViewer	();

	void ViewFile(char*);

protected:

	BOOL	ViewInfoChunk				();
	BOOL	ViewAttributeChunk			();
	BOOL	ViewMaterialChunk			();
	BOOL	ViewGeometryChunk			();
	BOOL	ViewInfluenceChunk			();
	BOOL	ViewAttachmentChunk			();
	bool	ViewNeighborInfoChunk		();
	bool	ViewProgressiveInfoChunk	();
//
//			Values used by the IM viewer
//
	DWORD	m_dwTriangleCount;			// the number of triangles in the mesh
};

#endif // !defined(AFX_IMVIEWER_H_INCLUDED_)
////////////////////////////////////////////////////////////////////////////////
