////////////////////////////////////////////////////////////////////////////////
//	KINViewer.h:	The class that produces formatted output of an *.KIN file
//
//	This class creates a formatted display of the contents of the input *KIN file
//
//	NOTE: This is assumed to be an open-source project, so individual method
//	notes appear before each method in the CPP file rather than here in the
//	.h file.
//
//	Copyright , Jack Emmerichs, 2001.
//
////////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_KINVIEWER_H__INCLUDED_)
#define AFX_KINVIEWER_H__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "BaseViewer.h"

class CKINViewer : public CBaseViewer  
{
public:

			CKINViewer	();
	virtual	~CKINViewer	();

	void	ViewFile	(char *		szFileName);

protected:

	bool	ViewEventChunk	();
	bool	ViewInfoChunk	();
	bool	ViewSkelChunk	();
	bool	ViewBoneChunk	();
	bool	ViewFrameChunk	();

	int		m_nBoneID;
	char	m_szBoneIndent	[1024];		// general error message buffer.

};

#endif // !defined(AFX_KINVIEWER_H__INCLUDED_)
////////////////////////////////////////////////////////////////////////////////
